type 'a alist = (string * 'a) list
val output_of_environment : string list -> string
val output_of_file_name : string -> string list -> string
val matrix_of_output : string -> string list list
val variables_of_matrix : 'a list list -> 'a list
val alist_of_matrix : ('a list -> 'b) -> 'a list list -> ('a * 'b) list
val scalar_alist_of_matrix :
  (string -> 'a) -> string list list -> (string * 'a) list
val list_alist_of_matrix : string list list -> (string * string list) list
val string_alist_of_matrix : string list list -> (string * string) list
val int_alist_of_matrix : string list list -> (string * int) list
val float_alist_of_matrix : string list list -> (string * float) list
val bool_alist_of_matrix : string list list -> (string * bool) list
val alists_of_output :
  string ->
  'a ->
  (string * string) list * (string * int) list * (string * float) list *
  (string * bool) list * (string * string list) list
val alists_of_file :
  string ->
  string list ->
  (string * string) list * (string * int) list * (string * float) list *
  (string * bool) list * (string * string list) list
val merge_alists :
  'a list * 'b list * 'c list * 'd list * 'e list ->
  'a list * 'b list * 'c list * 'd list * 'e list ->
  'a list * 'b list * 'c list * 'd list * 'e list
class configuration :
  ?software_name:string ->
  ?file_names:string list ->
  variables:string list ->
  ?read_environment:bool ->
  unit ->
  object
    val bool_hashmap : (string, bool) Hashmap.hashmap
    val float_hashmap : (string, float) Hashmap.hashmap
    val int_hashmap : (string, int) Hashmap.hashmap
    val list_hashmap : (string, string list) Hashmap.hashmap
    val string_hashmap : (string, string) Hashmap.hashmap
    method bool : string -> bool
    method float : string -> float
    method int : string -> int
    method list : string -> string list
    method lookup_bool : string -> bool
    method lookup_float : string -> float
    method lookup_int : string -> int
    method lookup_list : string -> string list
    method lookup_string : string -> string
    method string : string -> string
  end
